Security Enhanced Linux Reference Policy

# Layer: services

## Module: gpm

Interfaces

### Description:

General Purpose Mouse driver

### Interfaces:

gpm_dontaudit_getattr_gpmctl( domain )

##### Summary

Do not audit attempts to get the attributes of the GPM control channel named socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpm_getattr_gpmctl( domain )

##### Summary

Get the attributes of the GPM control channel named socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpm_setattr_gpmctl( domain )

##### Summary

Set the attributes of the GPM control channel named socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

gpm_stream_connect( domain )

##### Summary

Connect to GPM over a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return